Name:          jyaml
Version:       1.3
Release:       %mkrel 7
Summary:       Java library for Java object serialization using the Yaml format
Group:         Development/Java
License:       BSD
Url:           http://jyaml.sourceforge.net/
Source0:       http://sourceforge.net/projects/jyaml/files/jyaml/jyaml-%{version}/jyaml-src-%{version}.tgz
Source1:       http://repo1.maven.org/maven2/org/jyaml/jyaml/%{version}/jyaml-%{version}.pom
Patch0:        jyaml-1.3-junit.patch
Patch1:        jyaml-1.3-noretrotranslator.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit
# todo
# dbunit.jar 2.2 
# spring.jar commons-logging.jar

Requires:      jpackage-utils

%description
JYaml is a Java library for Java object serialization using the
Yaml format - a human-friendly format for structured documents
(yaml.org).


%prep
%setup -q -n jyaml

%patch0 -p0
%patch1 -p0
for j in $(find . -name "*.jar"); do
  rm -rf $j
done
# rm -rf retrotranslator/retrotranslator-transformer-0.9.8.jar
# rm -rf retrotranslator/retrotranslator-runtime-0.9.8.jar
# rm -rf retrotranslator/backport-util-concurrent.jar

cat > project.properties << GIL
JUNIT_HOME=%{_javadir}
# You need to set this if you want to test Jyaml for the 1.4 JVM using Retrotranslator
#java.home.14=%{_jvmdir}/java-1.4.0-sun
version=1.3
GIL

%build

%ant build package

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc CHANGE_LOG LICENSE RELEASE_NOTES TODO


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.3-7.mga6
+ Revision: 952146
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.3-6.mga5
+ Revision: 811227
- use .mfiles generated during build
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 747840
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 680906
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 506513
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 355750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 10 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 132431
- Clean spec file

  + gil <gil>
    - imported package jyaml

